libnl: Connection Tracking

libnl 3.12.0

Connection Tracking
Command Line Interface API

## Functions
struct nfnl_ct * | nl_cli_ct_alloc (void)
struct nl_cache * | nl_cli_ct_alloc_cache (struct nl_sock *sk)
void | nl_cli_ct_parse_family (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_protocol (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_mark (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_timeout (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_id (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_use (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_src (struct nfnl_ct *ct, int reply, char *arg)
void | nl_cli_ct_parse_dst (struct nfnl_ct *ct, int reply, char *arg)
void | nl_cli_ct_parse_src_port (struct nfnl_ct *ct, int reply, char *arg)
void | nl_cli_ct_parse_dst_port (struct nfnl_ct *ct, int reply, char *arg)
void | nl_cli_ct_parse_tcp_state (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_status (struct nfnl_ct *ct, char *arg)
void | nl_cli_ct_parse_zone (struct nfnl_ct *ct, char *arg)

## Detailed Description

## Function Documentation

## ◆ nl_cli_ct_alloc()

struct nfnl_ct * nl_cli_ct_alloc | ( | void |  | ) |

Definition at line 18 of file ct.c.

## ◆ nl_cli_ct_alloc_cache()

struct nl_cache * nl_cli_ct_alloc_cache | ( | struct nl_sock * | sk | ) |

Definition at line 29 of file ct.c.

## ◆ nl_cli_ct_parse_family()

void nl_cli_ct_parse_family | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 34 of file ct.c.

## ◆ nl_cli_ct_parse_protocol()

void nl_cli_ct_parse_protocol | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 46 of file ct.c.

## ◆ nl_cli_ct_parse_mark()

void nl_cli_ct_parse_mark | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 58 of file ct.c.

## ◆ nl_cli_ct_parse_timeout()

void nl_cli_ct_parse_timeout | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 64 of file ct.c.

## ◆ nl_cli_ct_parse_id()

void nl_cli_ct_parse_id | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 70 of file ct.c.

## ◆ nl_cli_ct_parse_use()

void nl_cli_ct_parse_use | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 76 of file ct.c.

## ◆ nl_cli_ct_parse_src()

void nl_cli_ct_parse_src | ( | struct nfnl_ct * | ct,
|  | int | reply,
|  | char * | arg )

Definition at line 82 of file ct.c.

## ◆ nl_cli_ct_parse_dst()

void nl_cli_ct_parse_dst | ( | struct nfnl_ct * | ct,
|  | int | reply,
|  | char * | arg )

Definition at line 91 of file ct.c.

## ◆ nl_cli_ct_parse_src_port()

void nl_cli_ct_parse_src_port | ( | struct nfnl_ct * | ct,
|  | int | reply,
|  | char * | arg )

Definition at line 100 of file ct.c.

## ◆ nl_cli_ct_parse_dst_port()

void nl_cli_ct_parse_dst_port | ( | struct nfnl_ct * | ct,
|  | int | reply,
|  | char * | arg )

Definition at line 106 of file ct.c.

## ◆ nl_cli_ct_parse_tcp_state()

void nl_cli_ct_parse_tcp_state | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 112 of file ct.c.

## ◆ nl_cli_ct_parse_status()

void nl_cli_ct_parse_status | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 124 of file ct.c.

## ◆ nl_cli_ct_parse_zone()

void nl_cli_ct_parse_zone | ( | struct nfnl_ct * | ct,
|  | char * | arg )

Definition at line 136 of file ct.c.